/Users/bernard/b20/bsoft/src/rwmol/rwPIR.cpp(3)

NAME
/Users/bernard/b20/bsoft/src/rwmol/rwPIR.cpp - Library routines to read and write PIR sequence files.

SYNOPSIS

#include 'rwPIR.h'
#include 'utilities.h'
#include <fstream>

  Functions
int readPIR (Bstring &filename, Bmolgroup *molgroup)
Reads PIR format sequence files.
int writePIR (Bstring &filename, Bmolgroup *molgroup)
Writes PIR format sequence files.

  Variables
int verbose

Detailed Description

Library routines to read and write PIR sequence files.

Author:
    Bernard Heymann

Date:
    Created: 19990123

    Modified: 20030315

Definition in file rwPIR.cpp.

Function Documentation

  int readPIR (Bstring & filename, Bmolgroup * molgroup)

Reads PIR format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules read (<0 if reading failed).

    PIR format:
    >P1;BAC1_HALS1
    BAC1_HALS1, 308 bases, DC74A5E6 checksum.
     -------&mdash; &mdash;MDPIALT AAVGADLLGD GRPETLWLGI GTLLMLIGTF
     ASAAD&mdash;*

Definition at line 29 of file rwPIR.cpp.

  int writePIR (Bstring & filename, Bmolgroup * molgroup)

Writes PIR format sequence files.

Parameters:
    &filename sequence file name.
    *molgroup molecule group.

Returns:
    int number of molecules written (<0 if writing failed).

Definition at line 109 of file rwPIR.cpp.

Variable Documentation

  int verbose

Author

Generated automatically by Doxygen for Bsoft from the source code.